<?php

namespace App\Enums;

use Filament\Support\Contracts\HasLabel;

enum PhysicalActivityLevel: string implements HasLabel
{
    case SEDENTARY = 'sedentary';
    case LIGHTLY_ACTIVE = 'lightly_active';
    case MODERATELY_ACTIVE = 'moderately_active';
    case VERY_ACTIVE = 'very_active';
    case ATHLETE = 'athlete';

    public function getLabel(): string
    {
        return match ($this) {
            self::SEDENTARY => __('enums.physical_activity_level.sedentary'),
            self::LIGHTLY_ACTIVE => __('enums.physical_activity_level.lightly_active'),
            self::MODERATELY_ACTIVE => __('enums.physical_activity_level.moderately_active'),
            self::VERY_ACTIVE => __('enums.physical_activity_level.very_active'),
            self::ATHLETE => __('enums.physical_activity_level.athlete'),
        };
    }
}
